#
# spec file for package xclass-utils (Version 2001.4.30)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp xclass xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xclass xdevel xf86 xshared

Name:         xclass-utils
Copyright:    GPL
Group:        X11/Applications
Requires:     xclass
Autoreqprov:  on
Version:      2001.4.30
Release:      91
Summary:      Utilities based on xclass
Source:       fileview-0.1.tar.bz2
Source1:      run-1.0.tar.bz2
Source2:      taskbar-0.5.1.tar.bz2
Patch:        fileview.dif
Patch1:       run.dif
Patch2:       taskbar.dif
BuildRoot:    /var/tmp/%{name}-build

%description
Utilities based on xclass:
fileview - simple fileviewer
run      - run dialog by MS Windows
taskbar  - xclass version of FvwmTaskBar for fvwm95

Authors:
--------
    Frank Hall
    Hector Peraza

SuSE series: xap

%prep
%setup -n fileview -b 1 -b 2
%patch
cd ../run
%patch1
cd ../taskbar
%patch2

%build
make
cd ../run
make
cd ../taskbar
make

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 755 fileview $RPM_BUILD_ROOT/usr/X11R6/bin
cd ../run
install -m 755 run $RPM_BUILD_ROOT/usr/X11R6/bin
mv README README.run
cd ../taskbar
make install DESTDIR=$RPM_BUILD_ROOT
mv README README.taskbar

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ../run/README.run ../taskbar/{README.taskbar,EXAMPLE.taskbarrc}
/usr/X11R6/bin/*
/usr/X11R6/lib/xclass/taskbar/plugins

%changelog -n xclass-utils
* Sun Apr 29 2001 - pmladek@suse.cz
- added xclass to requires
* Tue Mar 20 2001 - cihlar@suse.cz
- fixed to compile on axp
* Thu Feb 08 2001 - cihlar@suse.cz
- fixed to compile
* Tue Nov 21 2000 - cihlar@suse.cz
- package created
